Get store locations
curl --request GET \
--url https://api.sandbox.usenash.com/v1/store_locations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/store_locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/store_locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"storeLocations": [
{
"id": "stl_01234567890123456789",
"name": "White House",
"phoneNumber": "+1234567890",
"location": {
"street": "Pennsylvania Avenue NW",
"city": "Washington",
"country": "US",
"number": "1600",
"secondaryNumber": null,
"county": "Washington",
"state": "DC",
"postalCode": "20500",
"latitude": 38.8948949,
"longitude": -77.0371581
},
"zoneIds": [
"zone_01234567890123456789",
"zone_01234567890123456789"
],
"zoneAssociations": [
{
"end_date": "2025-01-01",
"start_date": "2024-01-01",
"store_location_id": "stl_01234567890123456789",
"zone_id": "zone_01234567890123456789"
}
],
"tags": "['service:rapid', 'franchise_location']",
"integrationMetadata": {
"integration_name": "ABC"
},
"externalId": "40123",
"operatingHours": {
"friday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"monday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"saturday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"sunday": {
"active": true,
"shifts": [
[
"11:00",
"18:00"
]
]
},
"thursday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"tuesday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
},
"wednesday": {
"active": true,
"shifts": [
[
"10:00",
"19:00"
]
]
}
},
"prepTimeMinutes": 123,
"blackoutDates": [
"2024-01-01",
"2024-01-02"
],
"firstName": "Taylor",
"lastName": "Swift",
"email": "taylor@swift.com",
"pickupInstructions": "Once you arrive at the store, please click above to let us know you are here. Then, go ahead and find a sales associate inside - they'll be happy to help you!"
}
]
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get Store Locations
Get a list of store locations.
GET
/
v1
/
store_locations
Get store locations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The size of the store locations to return.
The offset of the store locations to return.
Response
OK
Response for list store locations.
Show child attributes
Show child attributes
Was this page helpful?
⌘I